# Suppress Internal Wires

To Suppress Internal Wires in the Main Menu select Repair - > Suppress Internal Wires.

This operation removes all internal wires or specified internal wires from user specified faces. This operation is available in OCC Viewer only.

The Result will be a GEOM_Object.

TUI Command: geompy.SuppressInternalWires(Shape, Wires), where Shape is a shape where wires are to be removed, Wires is a list of wires ID’s to be removed; if the list is empty then all internal wires are removed.

Arguments:

- Name of the resulting object

- User specified face

- User specified internal wires (lying on this face except for its boundary), or, in case the Remove all internal wires box is checked, all internal wires

Example:

Our TUI Scripts provide you with useful examples of the use of Repairing Operations.